petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMMoabGetVertexConnectivity

Get the vertex adjacency for the given entity

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetVertexConnectivity(DM dm,moab::EntityHandle vhandle,PetscInt* nconn, moab::EntityHandle **conn)

Collective on MPI_Comm

### Input Parameter

dm - The DMMoab object
vhandle - Vertex entity handle

### Output Parameter

nconn - Number of entities whose coordinates are needed
conn - The vertex entity handles

### See Also

DMMoabGetVertexCoordinates(), DMMoabRestoreVertexConnectivity()

Level:beginner
Location:src/dm/impls/moab/dmmoab.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages